package com.hzya.frame.grpU8.nxproof.attachment.service;/*
* @Description
* @Author xiangerlin 
  @Date 2022-10-26 11:19
*/

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.grpU8.nxproof.attachment.entity.AttachmentFileEntity;

import java.util.List;

public interface IAttachmentFileService {

    /**
     * 保存附件
     * @param entity
     */
    void saveAttachment(AttachmentFileEntity entity);

    List<AttachmentFileEntity> queryFile(AttachmentFileEntity entity)throws Exception;

    /**
     * 调用http接口查询单据附件
     * @param billCode
     * @return
     * @throws Exception
     */
    List<JSONObject> queryFileByCode(String billCode)throws Exception;

    /**
     * 附件上传
     * @param fileList
     * @param mlid
     * @param kjnd
     */
    void uploadAttachment(List<JSONObject> fileList, String mlid, String kjnd);
}
