package com.hzya.frame.grpU8.nxproof.gzlwfml.service.impl; 
import cn.hutool.core.lang.Assert;
import com.baomidou.dynamic.datasource.annotation.DS;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.grpU8.nxproof.gzlwfml.entity.GzLwfNrEntity;
import com.hzya.frame.grpU8.nxproof.gzlwfml.service.IGzLwfNrService;
import com.hzya.frame.grpU8.nxproof.gzlwfml.dao.IGzLwfNrDao;
import com.hzya.frame.basedao.service.impl.BaseService;
/**
 * @description: 劳务费内容  service
 * @tableName:   GZ_LWFNR 
 * @entityName:  GzLwfNrEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="GZ_LWFNRService")
public class  GzLwfNrServiceImpl extends BaseService< GzLwfNrEntity,String> implements IGzLwfNrService{
	
	protected IGzLwfNrDao  gzlwfnrDao;
	
	@Autowired
	public void setGzLwfNrDao(IGzLwfNrDao dao) {
		this.gzlwfnrDao = dao;
		this.dao=dao;
	}

	/**
	 * 保存劳务费内容
	 *
	 * @param entity
	 * @return
	 */
	@DS("#entity.dataSourceCode")
	@Override
	public GzLwfNrEntity saveLwfNr(GzLwfNrEntity entity) {
		GzLwfNrEntity lwfNr = gzlwfnrDao.save(entity);
		return lwfNr;
	}

	/**
	 * 删除劳务费明细
	 *
	 * @param entity
	 * @return
	 */
	@Override
	public int deleteLwfNr(GzLwfNrEntity entity) {
		int rows = gzlwfnrDao.delete("", entity);
		return rows;
	}
	private void checkParam(GzLwfNrEntity entity,String type){
		Assert.notNull(entity,"参数不能为空");
		if ("save".equals(type)){
			Assert.notNull(entity.getBillGUID(),"BillGUID不能为空");
			Assert.notNull(entity.getMXDH(),"MXDH不能为空");
		}else if("delete".equals(type)){
			Assert.notNull(entity.getMXDH(),"MXDH不能为空");
		}
	}
}
