package com.hzya.frame;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.grpU8.nxproof.oerdjml.dto.FileInfoDTO;
import com.hzya.frame.grpU8.nxproof.oerdjml.service.IOerDjmlExtService;
import com.hzya.frame.grpU8.nxproof.oerdjml.service.impl.OerDjmlExtServiceImpl;
import com.hzya.frame.plugin.grp.plugin.ExpensePluginInitializer;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.io.File;
import java.util.List;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2025/3/18 14:18
 **/
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {WebappApplication.class})
public class PluginTest {
    @Resource
    private ExpensePluginInitializer expensePluginInitializer;

    @Resource
    private OerDjmlExtServiceImpl oerDjmlExtServiceImpl;
    @Test
    public void dingTest(){
        JSONObject jsonObject = JSONObject.parseObject("{\n" +
                "\t\"headers\": \"{\\\"djlxid\\\":\\\"103\\\",\\\"formApp\\\":\\\"-1762580549716456986_onStart,-1762580549716456986_onProcessFinished\\\",\\\"flowcode\\\":\\\"000005\\\",\\\"forsonTableName\\\":\\\"formson_0018\\\",\\\"plugId\\\":\\\"ExpensePlugin\\\",\\\"seeyon_token_api_code\\\":\\\"8000400010\\\",\\\"yszb_bnxid\\\":\\\"-1\\\",\\\"formmainTableName\\\":\\\"formmain_0017\\\",\\\"yadj\\\":\\\"handleOerDjml\\\",\\\"yatl\\\":\\\"oerDjmlService\\\",\\\"file_api_code\\\":\\\"8000400011\\\",\\\"bxmx_bnxid\\\":\\\"51\\\",\\\"djlx\\\":\\\"travel\\\",\\\"jsfs_bnxid\\\":\\\"-2\\\"}\",\n" +
                "\t\"apiDataSourceCode\": {\n" +
                "\t\t\"dataSourceCode\": \"master\",\n" +
                "\t\t\"sourceUrl\": \"\"\n" +
                "\t},\n" +
                "\t\"jsonStr\": \"{\\\"affairId\\\":\\\"-611409085129733966\\\",\\\"businessDataStr\\\":\\\"{\\\\\\\"formId\\\\\\\":\\\\\\\"-1762580549716456986\\\\\\\",\\\\\\\"formson_0018\\\\\\\":[{\\\\\\\"field0031\\\\\\\":\\\\\\\"1200.00\\\\\\\",\\\\\\\"field0075\\\\\\\":\\\\\\\"1001                \\\\\\\",\\\\\\\"field0032\\\\\\\":\\\\\\\"900.00\\\\\\\",\\\\\\\"field0076\\\\\\\":\\\\\\\"100301              \\\\\\\",\\\\\\\"field0033\\\\\\\":\\\\\\\"900.00\\\\\\\",\\\\\\\"field0077\\\\\\\":\\\\\\\"02                  \\\\\\\",\\\\\\\"field0034\\\\\\\":\\\\\\\"300.00\\\\\\\",\\\\\\\"field0078\\\\\\\":\\\\\\\"年初预算下达\\\\\\\",\\\\\\\"field0035\\\\\\\":\\\\\\\"300.00\\\\\\\",\\\\\\\"field0079\\\\\\\":\\\\\\\"001\\\\\\\",\\\\\\\"field0037\\\\\\\":\\\\\\\"0\\\\\\\",\\\\\\\"field0071\\\\\\\":\\\\\\\"00000001\\\\\\\",\\\\\\\"field0072\\\\\\\":\\\\\\\"02\\\\\\\",\\\\\\\"field0073\\\\\\\":\\\\\\\"40\\\\\\\",\\\\\\\"field0030\\\\\\\":\\\\\\\"17328725.92\\\\\\\",\\\\\\\"field0028\\\\\\\":\\\\\\\"1\\\\\\\",\\\\\\\"field0029\\\\\\\":\\\\\\\"3\\\\\\\",\\\\\\\"id\\\\\\\":\\\\\\\"520822920013300012\\\\\\\",\\\\\\\"field0042\\\\\\\":\\\\\\\"现金\\\\\\\",\\\\\\\"field0086\\\\\\\":\\\\\\\"01\\\\\\\",\\\\\\\"field0044\\\\\\\":\\\\\\\"测试银行\\\\\\\",\\\\\\\"field0045\\\\\\\":\\\\\\\"111111\\\\\\\",\\\\\\\"sort\\\\\\\":1,\\\\\\\"field0081\\\\\\\":\\\\\\\"2025\\\\\\\",\\\\\\\"field0082\\\\\\\":\\\\\\\"0311\\\\\\\",\\\\\\\"field0083\\\\\\\":\\\\\\\"0314\\\\\\\",\\\\\\\"groupsort\\\\\\\":1,\\\\\\\"formmain_id\\\\\\\":\\\\\\\"1462359226502955336\\\\\\\",\\\\\\\"field0013\\\\\\\":\\\\\\\"1\\\\\\\",\\\\\\\"field0015\\\\\\\":\\\\\\\"1\\\\\\\",\\\\\\\"field0016\\\\\\\":\\\\\\\"年初预算\\\\\\\",\\\\\\\"field0091\\\\\\\":\\\\\\\"火车\\\\\\\",\\\\\\\"field0020\\\\\\\":\\\\\\\"财务处\\\\\\\",\\\\\\\"field0064\\\\\\\":\\\\\\\"450.00\\\\\\\",\\\\\\\"field0065\\\\\\\":\\\\\\\"100.00\\\\\\\",\\\\\\\"field0022\\\\\\\":\\\\\\\"2025-03-11 00:00:00\\\\\\\",\\\\\\\"field0066\\\\\\\":\\\\\\\"80.00\\\\\\\",\\\\\\\"field0023\\\\\\\":\\\\\\\"2025-03-14 00:00:00\\\\\\\",\\\\\\\"field0067\\\\\\\":\\\\\\\"0.00\\\\\\\",\\\\\\\"field0068\\\\\\\":\\\\\\\"240.00\\\\\\\",\\\\\\\"field0024\\\\\\\":\\\\\\\"北京\\\\\\\",\\\\\\\"field0025\\\\\\\":\\\\\\\"河北(石家庄市)\\\\\\\",\\\\\\\"field0026\\\\\\\":\\\\\\\"厅局级\\\\\\\",\\\\\\\"field0027\\\\\\\":\\\\\\\"-7876390983985313896\\\\\\\",\\\\\\\"field0017\\\\\\\":\\\\\\\"00\\\\\\\",\\\\\\\"field0018\\\\\\\":\\\\\\\"部门日常经费\\\\\\\",\\\\\\\"field0019\\\\\\\":\\\\\\\"公务出差\\\\\\\"}],\\\\\\\"systemRelationRecords\\\\\\\":[],\\\\\\\"attachments\\\\\\\":[{\\\\\\\"createdate\\\\\\\":\\\\\\\"2025-03-17 15:09:07\\\\\\\",\\\\\\\"description\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"mimeType\\\\\\\":\\\\\\\"image/jpeg\\\\\\\",\\\\\\\"sort\\\\\\\":\\\\\\\"0\\\\\\\",\\\\\\\"type\\\\\\\":\\\\\\\"0\\\\\\\",\\\\\\\"genesisId\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"reference\\\\\\\":\\\\\\\"8015054535941770904\\\\\\\",\\\\\\\"filename\\\\\\\":\\\\\\\"万向背景log.jpg\\\\\\\",\\\\\\\"size\\\\\\\":\\\\\\\"1783140\\\\\\\",\\\\\\\"subReference\\\\\\\":\\\\\\\"-5580093930224923794\\\\\\\",\\\\\\\"fileUrl\\\\\\\":\\\\\\\"2830084150792309498\\\\\\\",\\\\\\\"id\\\\\\\":\\\\\\\"42261965929663888\\\\\\\",\\\\\\\"category\\\\\\\":\\\\\\\"66\\\\\\\"},{\\\\\\\"createdate\\\\\\\":\\\\\\\"2025-03-17 15:09:01\\\\\\\",\\\\\\\"description\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"mimeType\\\\\\\":\\\\\\\"image/jpeg\\\\\\\",\\\\\\\"sort\\\\\\\":\\\\\\\"0\\\\\\\",\\\\\\\"type\\\\\\\":\\\\\\\"0\\\\\\\",\\\\\\\"genesisId\\\\\\\":\\\\\\\"\\\\\\\",\\\\\\\"reference\\\\\\\":\\\\\\\"8015054535941770904\\\\\\\",\\\\\\\"filename\\\\\\\":\\\\\\\"万向背景log.jpg\\\\\\\",\\\\\\\"size\\\\\\\":\\\\\\\"1783140\\\\\\\",\\\\\\\"subReference\\\\\\\":\\\\\\\"1964689106367038181\\\\\\\",\\\\\\\"fileUrl\\\\\\\":\\\\\\\"4908634978292551152\\\\\\\",\\\\\\\"id\\\\\\\":\\\\\\\"-9006706409321510637\\\\\\\",\\\\\\\"category\\\\\\\":\\\\\\\"66\\\\\\\"}],\\\\\\\"formmain_0017\\\\\\\":{\\\\\\\"id\\\\\\\":\\\\\\\"1462359226502955336\\\\\\\",\\\\\\\"state\\\\\\\":1,\\\\\\\"field0087\\\\\\\":\\\\\\\"单位管理员\\\\\\\",\\\\\\\"field0088\\\\\\\":\\\\\\\"单位管理员\\\\\\\",\\\\\\\"ratifyflag\\\\\\\":0,\\\\\\\"field0001\\\\\\\":\\\\\\\"CLD20250317001\\\\\\\",\\\\\\\"field0089\\\\\\\":\\\\\\\"张晖蓉\\\\\\\",\\\\\\\"field0002\\\\\\\":\\\\\\\"-1812232110055273755\\\\\\\",\\\\\\\"field0046\\\\\\\":\\\\\\\"1200.00\\\\\\\",\\\\\\\"field0003\\\\\\\":\\\\\\\"9022185023957386065\\\\\\\",\\\\\\\"field0047\\\\\\\":\\\\\\\"壹仟贰佰元整\\\\\\\",\\\\\\\"field0004\\\\\\\":\\\\\\\"9022185023957386065\\\\\\\",\\\\\\\"field0005\\\\\\\":\\\\\\\"13333333333\\\\\\\",\\\\\\\"sort\\\\\\\":0,\\\\\\\"ratify_member_id\\\\\\\":\\\\\\\"0\\\\\\\",\\\\\\\"finishedflag\\\\\\\":0,\\\\\\\"field0010\\\\\\\":\\\\\\\"测试\\\\\\\",\\\\\\\"field0011\\\\\\\":\\\\\\\"1964689106367038181\\\\\\\",\\\\\\\"field0012\\\\\\\":\\\\\\\"-5580093930224923794\\\\\\\",\\\\\\\"field0090\\\\\\\":\\\\\\\"1200.00\\\\\\\",\\\\\\\"field0092\\\\\\\":\\\\\\\"系统管理组\\\\\\\",\\\\\\\"field0095\\\\\\\":\\\\\\\"2025-03-17 00:00:00\\\\\\\",\\\\\\\"field0006\\\\\\\":\\\\\\\"7445791266338131383\\\\\\\",\\\\\\\"field0007\\\\\\\":\\\\\\\"1\\\\\\\",\\\\\\\"field0008\\\\\\\":\\\\\\\"2025-03-10 00:00:00\\\\\\\",\\\\\\\"modify_member_id\\\\\\\":\\\\\\\"9022185023957386065\\\\\\\",\\\\\\\"field0009\\\\\\\":\\\\\\\"2025-03-14 00:00:00\\\\\\\",\\\\\\\"start_date\\\\\\\":\\\\\\\"2025-03-18 13:55:43\\\\\\\",\\\\\\\"start_member_id\\\\\\\":\\\\\\\"9022185023957386065\\\\\\\",\\\\\\\"approve_member_id\\\\\\\":\\\\\\\"0\\\\\\\",\\\\\\\"modify_date\\\\\\\":\\\\\\\"2025-03-18 13:55:43\\\\\\\"}}\\\",\\\"formApp\\\":\\\"-1762580549716456986\\\",\\\"summaryId\\\":\\\"8015054535941770904\\\",\\\"currentActivityId\\\":\\\"start\\\",\\\"eventType\\\":\\\"onStart\\\",\\\"id\\\":\\\"1462359226502955336\\\"}\",\n" +
                "\t\"eventType\": \"onStart\",\n" +
                "\t\"formAppId\": \"-1762580549716456986\"\n" +
                "}");
        try {
            expensePluginInitializer.executeBusiness(jsonObject);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Test
    public void fileDownloadTest(){
        List<FileInfoDTO> fileInfoDTOList = oerDjmlExtServiceImpl.fileDownloadV1("3304665242408406647", "8000400011");
        String djmlStr = JSONObject.toJSONString(fileInfoDTOList);
        System.out.println(djmlStr);
        File file = new File(fileInfoDTOList.get(0).getZip_file_path());
        System.out.println(fileInfoDTOList.size());
    }
}
