package com.hzya.frame.grpU8.nxproof.gzlwfml.service;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.grpU8.nxproof.gzlwfml.entity.GzLwfMlEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * @description: 劳务费目录表  service
 * @tableName:   GZ_LWFML 
 * @entityName:  GzLwfMlEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
public interface IGzLwfMlService extends IBaseService<GzLwfMlEntity,String> {

    /**
     * 劳务费处理
     * @param jsonObject
     * @return
     */
    @DSTransactional()
    JsonResultEntity saveLwf(JSONObject jsonObject);


    /**
     * 劳务费处理
     * @param jsonObject
     * @return
     */
    @DSTransactional()
    JsonResultEntity updateLwf(JSONObject jsonObject);

    /**
     * 查询最大id
     * @param entity
     * @return
     */
    String queryMaxMxdh(GzLwfMlEntity entity);
}